dvdisaster Version 0.70 | Zur Internet-Version

Inhalt

Überblick
Beispiele und Bildschirmfotos
· | Datenträger auf Lesefehler prüfen
· | Fehlerkorrektur-Daten erzeugen
| - | als Datei
| - | im Abbild
· | Beschädigten Datenträger einlesen
· | Datenträger-Abbild rekonstruieren
· | Informationen über Abbild und Fehlerkorrektur-Daten anzeigen
· | Einstellmöglichkeiten
· | Aufrufmöglichkeiten
Herunterladen
Fragen und Antworten
Hintergrundinformationen

### Fehlerkorrektur-Datei erzeugen

Erstellen Sie zunächst ein Datenträger-Abbild auf der Festplatte:

1. | Legen Sie den Datenträger in das Laufwerk. |
2. | Wählen Sie das Laufwerk aus. |
3. | Wählen Sie eine Abbild-Datei aus. Achten Sie darauf, genügend Speicherplatz für das Abbild zu haben. Aktivieren Sie das Aufteilen von Dateien wenn Ihr Dateisystem keine Dateigrößen von mehr als 2GB unterstützt. | Das -Symbol öffnet die Dateiauswahl.
4. | Beginnen Sie das Einlesen mit dem "Lesen"-Knopf. |
5. | Verfolgen Sie den Fortschritt des Lesevorgangs in der graphischen Darstellung. |

Erzeugen Sie anschließend die Fehlerkorrektur-Datei:

Dies setzt voraus, daß das Abbild ohne Lesefehler eingelesen wurde.

1. | Wählen Sie die Abbild-Datei aus. Die zuletzt eingelesene Abbild-Datei ist bereits voreingestellt. | Das -Symbol öffnet die Dateiauswahl.
2. | Wählen Sie die Fehlerkorrektur-Datei aus. | Das -Symbol öffnet die Dateiauswahl.
3. | Stellen Sie die Fehlerkorrektur nach Ihren Wünschen ein. Wählen Sie "Abspeichern in: Fehlerkorrektur-Datei (RS01)". |
4. | Erstellen Sie die Fehlerkorrektur-Datei durch Klick auf den "Erzeugen"-Knopf. |
5. | Verfolgen Sie den Fortschritt des Vorgangs. |

Verwahren Sie die Fehlerkorrektur-Datei auf einem zuverlässigen Speichermedium, und überprüfen Sie den Datenträger anschließend regelmäßig auf Lesefehler.

### Fehlerkorrektur-Datei in der Kommandozeile erzeugen

Zum Einlesen des Abbildes benötigen Sie die folgenden Parameter (Grundeinstellungen in Klammern):

-r/ --read | Einlesen
-d / --device | Laufwerk auswählen (/dev/cdrom)
-i / --image | Abbild-Datei auswählen (medium.iso)

user@linux> dvdisaster -r -d /dev/hdc -i abbild.iso
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnörlich.
Dies ist freie Software; es gelten die Bedingungen der
GNU GENERAL PUBLIC LICENSE aus dem Quelltext.

Laufwerk: /dev/hdc, ATAPI DVD+RW 8X4X12 B2K7
Datenträger: DVD+R, 2224288 Sektoren, 1 Schicht(en)

Erzeuge neues Abbild abbild.iso.
Warte 5 Sekunden auf das Hochdrehen des Laufwerks...
Leseposition: 100.0% ( 7.7x)
Alle Sektoren erfolgreich eingelesen.

Während des Einlesens werden der Fortschritt in Prozent und die momentane Lesegeschwindigkeit des Laufwerks angezeigt. Erzeugen Sie anschließend die Fehlerkorrektur-Datei mit folgendem Aufruf:

-c/ --create | Fehlerkorrektur-Datei erzeugen
-i / --image | Abbild-Datei auswählen (medium.iso)
-e / --ecc | Fehlerkorrektur-Datei auswählen (medium.ecc)
-n / --redundancy | Redundanz auswählen (32 Nullstellen = 14.3%)

user@linux> dvdisaster -c -i abbild.iso -e korrektur.ecc
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnörlich.
Dies ist freie Software; es gelten die Bedingungen der
GNU GENERAL PUBLIC LICENSE aus dem Quelltext.

Öffne abbild.iso: 2224288 Datenträger-Sektoren.
Prüfe Abbild-Sektoren : 100%
Kodiere mit Methode RS01: 32 Nullstellen, 14.3% Redundanz.
Kodierungs-Fortschritt: 100.0%
Fehlerkorrektur-Datei "korrektur.ecc" wurde erzeugt.
Verwahren Sie die Datei auf einem zuverlässigen Datenträger.

Anhand der Prozentanzeige können Sie den Fortschritt des Vorgangs beobachten.

Danach finden Sie die Fehlerkorrektur-Datei korrektur.ecc im aktuellen Verzeichnis:

user@linux> ls -lA -rwx------ 1 user linux 653721680 2004-07-02 22:45 korrektur.ecc -rwx------ 1 user linux 4555341824 2004-07-02 21:31 abbild.iso

Die Abbild-Datei können Sie jetzt löschen,

user@linux> rm -f abbild.iso

aber die Fehlerkorrektur-Datei müssen Sie auf einem zuverlässigen Speichermedium aufbewahren!

Tip: Fassen Sie die Aktionen zum Einlesen und zum Erzeugen der Fehlerkorrektur-Datei zusammen. Dann entfällt das Überprüfen des Abbildes im zweiten Schritt:

user@linux> dvdisaster -r -c -d /dev/hdc -i abbild.iso -e korrektur.ecc u.s.w.

Copyright 2004-2007 Carsten Gnörlich. Die unveränderte Wiedergabe und Verteilung dieses gesamten Textes in beliebiger Form ist gestattet, sofern dieser Hinweis erhalten bleibt.